diff system-image.sh @ 675:4571f63c2298

Add SKIP_STAGE_TARBALLS config option to skip creating tarballs after each stage.
author Rob Landley <rob@landley.net>
date Mon, 30 Mar 2009 01:11:34 -0500
parents fda459e9515a
children 58f38b4049e4
line wrap: on
line diff
--- a/system-image.sh	Sun Mar 29 23:30:29 2009 -0500
+++ b/system-image.sh	Mon Mar 30 01:11:34 2009 -0500
@@ -173,7 +173,10 @@
 
 # Tar it up.
 
-tar -cvj -f "$BUILD"/system-image-$ARCH_NAME.tar.bz2 \
-  -C "$BUILD" system-image-$ARCH_NAME || dienow
+if [ -z "$SKIP_STAGE_TARBALLS" ]
+then
+  tar -cvj -f "$BUILD"/system-image-$ARCH_NAME.tar.bz2 \
+    -C "$BUILD" system-image-$ARCH_NAME || dienow
+fi
 
 echo -e "=== Packaging complete\e[0m"